require('nvim-treesitter.configs').setup({
  ensure_installed = {
    'lua',
    'json5',
    'typescript',
    'scss',
    'dockerfile',
    'typescript',
    'regex',
    'toml',
    'ql',
    'markdown',
    'markdown_inline',
    'javascript',
    'http',
    'jsonc',
    'bash',
    'html',
    'yaml',
    'tsx',
    'python',
    'vim',
    'css',
    'json',
    'graphql',
  },
  highlight = { enable = true },
  rainbow = {
    enable = true,
    extended_mode = true, -- Also highlight non-bracket delimiters like html tags, boolena or table: lang -> boolean
    max_file_lines = nil,
  },
  autotag = {
    enable = true,
    filetypes = {
      'html',
      'javascript',
      'javascriptreact',
      'typescript',
      'typescriptreact',
      'markdown',
      'bash',
      'lua',
    },
    incremental_selection = {
      enabled = true,
      keymaps = {
        init_selection = '<CR>',
        scope_incremental = '<CR>',
        node_incremental = '<CR>',
        node_decremental = '<TAB>',
      },
    },
  },
})
